Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.chart
Class LineFormatRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.chart.LineFormatRecord

    public final class LineFormatRecord

extends StandardRecord

Describes a line format record. The line format record controls how a line on a chart appears.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` | `LINE_PATTERN_DARK_GRAY_PATTERN`
`static short` | `LINE_PATTERN_DASH`
`static short` | `LINE_PATTERN_DASH_DOT`
`static short` | `LINE_PATTERN_DASH_DOT_DOT`
`static short` | `LINE_PATTERN_DOT`
`static short` | `LINE_PATTERN_LIGHT_GRAY_PATTERN`
`static short` | `LINE_PATTERN_MEDIUM_GRAY_PATTERN`
`static short` | `LINE_PATTERN_NONE`
`static short` | `LINE_PATTERN_SOLID`
`static short` | `sid`
`static short` | `WEIGHT_HAIRLINE`
`static short` | `WEIGHT_MEDIUM`
`static short` | `WEIGHT_NARROW`
`static short` | `WEIGHT_WIDE`

Constructor Summary
`LineFormatRecord()`
`LineFormatRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`short` | `getColourPaletteIndex()` Get the colour palette index field for the LineFormat record.
`protected int` | `getDataSize()`
`short` | `getFormat()` Get the format field for the LineFormat record.
`int` | `getLineColor()` Get the line color field for the LineFormat record.
`short` | `getLinePattern()` Get the line pattern field for the LineFormat record.
`short` | `getSid()` return the non static version of the id for this record.
`short` | `getWeight()` Get the weight field for the LineFormat record.
`boolean` | `isAuto()` automatic format
`boolean` | `isDrawTicks()` draw tick marks
`boolean` | `isUnknown()` book marks this as reserved = 0 but it seems to do something
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setAuto(boolean value)` Sets the auto field value.
`void` | `setColourPaletteIndex(short field_5_colourPaletteIndex)` Set the colour palette index field for the LineFormat record.
`void` | `setDrawTicks(boolean value)` Sets the draw ticks field value.
`void` | `setFormat(short field_4_format)` Set the format field for the LineFormat record.
`void` | `setLineColor(int field_1_lineColor)` Set the line color field for the LineFormat record.
`void` | `setLinePattern(short field_2_linePattern)` Set the line pattern field for the LineFormat record.
`void` | `setUnknown(boolean value)` Sets the unknown field value.
`void` | `setWeight(short field_3_weight)` Set the weight field for the LineFormat record.
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### LINE_PATTERN_SOLID

    public static final short LINE_PATTERN_SOLID

See Also:
  Constant Field Values

### LINE_PATTERN_DASH

    public static final short LINE_PATTERN_DASH

See Also:
  Constant Field Values

### LINE_PATTERN_DOT

    public static final short LINE_PATTERN_DOT

See Also:
  Constant Field Values

### LINE_PATTERN_DASH_DOT

    public static final short LINE_PATTERN_DASH_DOT

See Also:
  Constant Field Values

### LINE_PATTERN_DASH_DOT_DOT

    public static final short LINE_PATTERN_DASH_DOT_DOT

See Also:
  Constant Field Values

### LINE_PATTERN_NONE

    public static final short LINE_PATTERN_NONE

See Also:
  Constant Field Values

### LINE_PATTERN_DARK_GRAY_PATTERN

    public static final short LINE_PATTERN_DARK_GRAY_PATTERN

See Also:
  Constant Field Values

### LINE_PATTERN_MEDIUM_GRAY_PATTERN

    public static final short LINE_PATTERN_MEDIUM_GRAY_PATTERN

See Also:
  Constant Field Values

### LINE_PATTERN_LIGHT_GRAY_PATTERN

    public static final short LINE_PATTERN_LIGHT_GRAY_PATTERN

See Also:
  Constant Field Values

### WEIGHT_HAIRLINE

    public static final short WEIGHT_HAIRLINE

See Also:
  Constant Field Values

### WEIGHT_NARROW

    public static final short WEIGHT_NARROW

See Also:
  Constant Field Values

### WEIGHT_MEDIUM

    public static final short WEIGHT_MEDIUM

See Also:
  Constant Field Values

### WEIGHT_WIDE

    public static final short WEIGHT_WIDE

See Also:
  Constant Field Values

Constructor Detail

### LineFormatRecord

    public LineFormatRecord()

### LineFormatRecord

    public LineFormatRecord(RecordInputStream in)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The subclass must write the exact number of bytes as reported by `RecordBase.getRecordSize()`}

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getLineColor

    public int getLineColor()

  Get the line color field for the LineFormat record.

### setLineColor

    public void setLineColor(int field_1_lineColor)

  Set the line color field for the LineFormat record.

### getLinePattern

    public short getLinePattern()

  Get the line pattern field for the LineFormat record.

  Returns:
    One of LINE_PATTERN_SOLID LINE_PATTERN_DASH LINE_PATTERN_DOT LINE_PATTERN_DASH_DOT LINE_PATTERN_DASH_DOT_DOT LINE_PATTERN_NONE LINE_PATTERN_DARK_GRAY_PATTERN LINE_PATTERN_MEDIUM_GRAY_PATTERN LINE_PATTERN_LIGHT_GRAY_PATTERN

### setLinePattern

    public void setLinePattern(short field_2_linePattern)

  Set the line pattern field for the LineFormat record.

  Parameters:
    `field_2_linePattern` - One of LINE_PATTERN_SOLID LINE_PATTERN_DASH LINE_PATTERN_DOT LINE_PATTERN_DASH_DOT LINE_PATTERN_DASH_DOT_DOT LINE_PATTERN_NONE LINE_PATTERN_DARK_GRAY_PATTERN LINE_PATTERN_MEDIUM_GRAY_PATTERN LINE_PATTERN_LIGHT_GRAY_PATTERN

### getWeight

    public short getWeight()

  Get the weight field for the LineFormat record.

  Returns:
    One of WEIGHT_HAIRLINE WEIGHT_NARROW WEIGHT_MEDIUM WEIGHT_WIDE

### setWeight

    public void setWeight(short field_3_weight)

  Set the weight field for the LineFormat record.

  Parameters:
    `field_3_weight` - One of WEIGHT_HAIRLINE WEIGHT_NARROW WEIGHT_MEDIUM WEIGHT_WIDE

### getFormat

    public short getFormat()

  Get the format field for the LineFormat record.

### setFormat

    public void setFormat(short field_4_format)

  Set the format field for the LineFormat record.

### getColourPaletteIndex

    public short getColourPaletteIndex()

  Get the colour palette index field for the LineFormat record.

### setColourPaletteIndex

    public void setColourPaletteIndex(short field_5_colourPaletteIndex)

  Set the colour palette index field for the LineFormat record.

### setAuto

    public void setAuto(boolean value)

  Sets the auto field value. automatic format

### isAuto

    public boolean isAuto()

  automatic format

  Returns:
    the auto field value.

### setDrawTicks

    public void setDrawTicks(boolean value)

  Sets the draw ticks field value. draw tick marks

### isDrawTicks

    public boolean isDrawTicks()

  draw tick marks

  Returns:
    the draw ticks field value.

### setUnknown

    public void setUnknown(boolean value)

  Sets the unknown field value. book marks this as reserved = 0 but it seems to do something

### isUnknown

    public boolean isUnknown()

  book marks this as reserved = 0 but it seems to do something

  Returns:
    the unknown field value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.